> ## Documentation Index
> Fetch the complete documentation index at: https://docs.upwell.com/llms.txt
> Use this file to discover all available pages before exploring further.

# List companies

> Retrieve a paginated list of companies with optional filtering and sorting.



## OpenAPI

````yaml /api-reference/openapi.json get /api/rest/companies
openapi: 3.1.0
info:
  description: >-
    Upwell is Accounts Receivable automation software for the logistics
    industry. We serve freight brokers, carriers, factors, and anyone who needs
    to get transportation invoices paid.


    Learn more at:


    - [Upwell.com](https://upwell.com)
  title: Upwell REST API
  version: 3.30.2
  termsOfService: https://upwell.com/legal
  contact:
    name: Upwell
    url: https://upwell.com
    email: contact@upwell.com
servers:
  - url: https://api.upwell.com
    description: Production server
  - url: https://staging.api.upwell.com
    description: Staging server
security: []
tags:
  - name: Invoice Approval
    description: Endpoints for managing customer invoice approval workflow
paths:
  /api/rest/companies:
    get:
      tags:
        - Companies
      summary: List companies
      description: >-
        Retrieve a paginated list of companies with optional filtering and
        sorting.
      parameters:
        - description: >-
            Your API key will be used for authentication of the request.
            `Authorization: YOUR_API_KEY`
          in: header
          name: authorization
          schema:
            type: string
        - in: query
          name: limit
          schema:
            default: 10
            type: integer
        - in: query
          name: offset
          schema:
            default: 0
            type: integer
      responses:
        '200':
          content:
            application/json:
              schema:
                properties:
                  companies:
                    items:
                      description: >-
                        Companies table - stores all company entities with their
                        branding, contact info, and MC numbers. Each tenant can
                        have multiple companies for different divisions or legal
                        entities.
                      nullable: false
                      properties:
                        createdAt:
                          $ref: '#/components/schemas/timestamptz'
                        deletedAt:
                          $ref: '#/components/schemas/timestamptz'
                        dunsNumber:
                          nullable: true
                          title: String
                          type: string
                        id:
                          nullable: false
                          title: String
                          type: string
                        logoUrl:
                          nullable: true
                          title: String
                          type: string
                        mcNumber:
                          nullable: true
                          title: String
                          type: string
                        name:
                          nullable: false
                          title: String
                          type: string
                        primaryEmailAddress:
                          nullable: true
                          title: String
                          type: string
                        primaryPhone:
                          nullable: true
                          title: String
                          type: string
                        sourceSystem:
                          nullable: true
                          title: String
                          type: string
                        sourceSystemId:
                          nullable: true
                          title: String
                          type: string
                        termsOfService:
                          nullable: true
                          title: String
                          type: string
                        updatedAt:
                          $ref: '#/components/schemas/timestamptz'
                        website:
                          nullable: true
                          title: String
                          type: string
                      title: Companies
                      type: object
                    nullable: false
                    type: array
          description: Responses for GET /api/rest/companies
components:
  schemas:
    timestamptz:
      nullable: false
      title: timestamptz
      type: string
      format: date-time
      description: >-
        A timestamp with timezone in ISO 8601 format, such as
        2024-12-16T21:57:14.525733+00:00

````